org.jfree.chart.renderer.xy

## Class SamplingXYLineRenderer.State

- java.lang.Object
- - org.jfree.chart.renderer.RendererState
  - - org.jfree.chart.renderer.xy.XYItemRendererState
    - - org.jfree.chart.renderer.xy.SamplingXYLineRenderer.State

Enclosing class:
  SamplingXYLineRenderer

    public static class SamplingXYLineRenderer.State
    extends XYItemRendererState

Records the state for the renderer. This is used to preserve state information between calls to the drawItem() method for a single chart drawing.

### Field Summary

### Fields inherited from class org.jfree.chart.renderer.xy.XYItemRendererState

`workingLine`

### Constructor Summary

Constructors
Constructor and Description
`SamplingXYLineRenderer.State(PlotRenderingInfo info)` Creates a new state instance.

### Method Summary

Methods
`void` `startSeriesPass(XYDataset dataset, int series, int firstItem, int lastItem, int pass, int passCount)` This method is called by the `XYPlot` at the start of each series pass.

### Methods inherited from class org.jfree.chart.renderer.xy.XYItemRendererState

`endSeriesPass, getFirstItemIndex, getLastItemIndex, getProcessVisibleItemsOnly, setProcessVisibleItemsOnly`

### Methods inherited from class org.jfree.chart.renderer.RendererState

`getEntityCollection, getInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SamplingXYLineRenderer.State

    public SamplingXYLineRenderer.State(PlotRenderingInfo info)

Creates a new state instance.

Parameters:
  `info` - the plot rendering info.

### Method Detail

#### startSeriesPass

    public void startSeriesPass(XYDataset dataset,
                       int series,
                       int firstItem,
                       int lastItem,
                       int pass,
                       int passCount)

This method is called by the `XYPlot` at the start of each series pass. We reset the state for the current series.

Overrides:
  `startSeriesPass` in class `XYItemRendererState`
Parameters:
  `dataset` - the dataset.
  `series` - the series index.
  `firstItem` - the first item index for this pass.
  `lastItem` - the last item index for this pass.
  `pass` - the current pass index.
  `passCount` - the number of passes.
See Also:
  `XYItemRendererState.endSeriesPass(XYDataset, int, int, int, int, int)`